use `ombutel`;

insert into `ombu_modules` (`name`, `has_dialplan`, `admin`, `portal`, `multi_tenant`) values
('ms_teams', 'no', 'yes', 'no', 'no');

set @module_id = last_insert_id();

insert into `ombu_role_privileges` (`role_id`,`module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
select `role_id`,
       @module_id,
       'yes',
       'yes',
       'yes',
       'yes'
from `ombu_roles`
where `role` = 'super_administrator';

insert into `ombu_menu` (`label`, `parent_id`, `module_id`, `sort`)
select
    'menu.ms_teams',
    `menu_id`,
    @module_id,
    3
from `ombu_menu`
where `label` = 'menu.pbx_settings' and `icon` is not null;

create table `ombu_ms_teams` (
    `id` int unsigned not null auto_increment,
    `number` varchar(255) not null,
    `description` varchar(255) null default null,
    primary key(`id`),
    unique (`number`)
);